* {
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}

/* Header */
img {
  max-height: 20vh;
  width: 100vw;
  box-shadow: 0px 15px 10px;
}

/* Formula */
main {
  margin-top: 10vh;
  margin-bottom: 5vh;
  margin-left: 30vw;
  margin-right: 30vw;
  padding: 1vw;
  background-color: rgb(243, 243, 243);
  border-radius: 0.3rem;
  box-shadow: 15px 5px 35px;
}

input {
  background-color: lightgray;
  border: 2px solid white;
  padding: 5px;
  border-radius: 5px;
  transition: 250ms;
  margin-right: 10px;
}

input:focus,
textarea:focus {
  outline: none;
  background-color: white;
  border: 2px solid black;
}

input[type="submit"] {
  margin: auto;
  width: 10rem;
  padding: 2vw;
  border: 2px solid lightgray;
  background-color: rgb(184, 61, 5);
  color: white;
  font-weight: bold;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

input[type="submit"]:hover {
  transform: scale(1.05);
}

input[type="submit"]:focus {
  outline: none;
}

input[type="email"],
input[type="text"] {
  width: 20rem;
}

input[type="number"] {
  width: 4rem;
}

textarea {
  width: 20rem;
  height: 5rem;
}

select {
  width: 7rem;
}

label {
  display: block;
  max-width: 15vw;
}

p label {
  vertical-align: top;
}

* {
  box-sizing: border-box;
  resize: none;
}

#newPlantCheckbox {
  transform: scale(1.5);
  margin-left: 0.3vw;
}

#plantFields {
  display: none;
}

#newPlantCheckbox:checked ~ #plantFields {
  display: block;
}

h1 {
  display: none;
}

@media only screen and (max-width: 830px) {
  main {
    margin-left: 1vw;
    margin-right: 1vw;
    margin-top: 5vh;
  }
}

@media only screen and (max-width: 332px) {
  main {
    display: none;
  }

  header {
    display: none;
  }

  h1 {
    display: block;
    margin-top: 10vh;
    margin-left: 2vw;
    margin-right: 2vw;
    font-size: 5em;
    text-align: center;
  }
}
